<?php
/**
 * Added WpGutenblog Page.
*/

/**
 * Add a new page under Appearance
 */

function guten_blog_menu() {
	add_theme_page( __( 'Get Started', 'guten-blog' ), esc_html__( 'Get Started', 'guten-blog' ), 'edit_theme_options', 'guten-blog-get-started', 'guten_blog_page' );
}
add_action( 'admin_menu', 'guten_blog_menu' );

/**
 * Enqueue styles for the help page.
 */
function guten_blog_admin_scripts( $hook ) {
	if ( 'appearance_page_guten-blog-get-started' !== $hook ) {
		return;
	}
	wp_enqueue_style( 'guten-blog-admin-style', get_template_directory_uri() . '/inc/about/about.css', array(), '' );
}
add_action( 'admin_enqueue_scripts', 'guten_blog_admin_scripts' );

/**
 * Add the theme page
 */
function guten_blog_page() {
	?>

<div class="main-info">
	<div class="main-info-image"><img src="https://avidthemes.com/wp-content/uploads/2020/04/screenshot.jpg"></div>
	<div class="main-info-detail">
		<h1><?php esc_html_e( 'Guten Blog', 'guten-blog' ); ?></h1>

		<p><?php esc_html_e( 'Guten Blog is a Robust theme build on top of Gutentor. Our theme is build in Gutentor which is lightweight and easy to use drag & drop WordPress page builder. The theme is best fit for lifestyle bloggers, travellers, food bloggers, personal bloggers and more.', 'guten-blog' ); ?></p>
		<h4><?php esc_html_e( 'Once you install all recommended plugins, you can import demo templates.', 'guten-blog' ); ?></h4>
		
		<a class="btn btn-primary" href="<?php echo esc_url( admin_url( '/customize.php' ) );
			?>"><?php esc_html_e( 'Theme Customization', 'guten-blog' ); ?></a><a class="btn btn-primary" href="<?php echo esc_url (admin_url( '/themes.php?page=advanced-import' ));?>"><?php esc_html_e( 'Import Starter Demos', 'guten-blog' ); ?></a>
		<p><?php esc_html_e("Need help?", 'guten-blog'); ?> <a href="<?php echo esc_url('https://avidthemes.com/support/'); ?>" target="_blank" class="link"><?php esc_html_e("Contact Us", 'guten-blog'); ?></a> <?php esc_html_e("or email us at: hello@avidthemes.com", 'guten-blog'); ?></p>

		</div>
		<div class="upgrade-to-pro">
			<img src="https://avidthemes.com/wp-content/uploads/2021/03/gutenblog-pro-1.jpg">
			<h4><?php esc_html_e("If you are looking for more features, layout options, color options, font options, whitelabeling and more, then you can check the pro version of the theme.", 'guten-blog'); ?></h4>
			<a href="https://avidthemes.com/guten-blog-pro/" target="_blank" class="btn btn-success"><?php esc_html_e( 'View Pro Version', 'guten-blog' ); ?></a>
		</div>

			
	</div>

<div class="top-wrapper">

	<div class="get-started-info">
		<h1><?php esc_html_e("Free v/s Pro", 'guten-blog'); ?></h1>
		<table class="widefat">
			<thead><tr><th width="60%"></th><th><?php esc_html_e("Free", 'guten-blog'); ?></th><th><?php esc_html_e("Pro", 'guten-blog'); ?></th></tr></thead>
			<tbody>
				<tr><td><?php esc_html_e("Site Logo Management", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Site width controller", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Layouts Import", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span> <?php esc_html_e("7 Starter Demos", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span> <?php esc_html_e("18 Starter Demos", 'guten-blog'); ?></td></tr>
				<tr><td><?php esc_html_e("Google Fonts", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span><?php esc_html_e("5 Fonts Options", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span><?php esc_html_e("600+ Font Options", 'guten-blog'); ?></td></tr>
				<tr><td><?php esc_html_e("Unlimited Color Option", 'guten-blog'); ?></td><td><span class="dashicons dashicons-no"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("In-built Social Sharing", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Pagination Option", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Child Theme Compatible", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Floating/Sticky Menu", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Multiple Header Layouts", 'guten-blog'); ?></td><td><span class="dashicons dashicons-no"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Header Background Image", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("News Headline", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Blog Options", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Show/Hide Author Info", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Mulitple Blog Post Layouts", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Scroll to Top button", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Responsive Layout", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Live Customizer", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Theme Options", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Breadcrumb", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("SEO Optimized", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Lightweight", 'guten-blog'); ?></td><td><span class="dashicons dashicons-yes"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("Footer Copyright", 'guten-blog'); ?></td><td><span class="dashicons dashicons-no"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
				<tr><td><?php esc_html_e("24/7 Support", 'guten-blog'); ?></td><td><span class="dashicons dashicons-no"></span></td><td><span class="dashicons dashicons-yes"></span></td></tr>
			<tbody>
			<tfoot>
				<tr><td></td><td colspan="2"><a href="https://avidthemes.com/guten-blog-pro/" target="_blank" class="btn btn-success"><?php esc_html_e( 'Upgrade to Pro Version', 'guten-blog' ); ?></a></td></tr>
			</tfoot>
		</table>
		
	</div>
	<div class="das-wrap">
	<h1><?php esc_html_e("FAQ's", 'guten-blog'); ?></h1>
	<h3><?php esc_html_e("1. What is the difference between Free and Pro?", 'guten-blog'); ?></h3>
	<p><?php esc_html_e("Both Free and Pro version of the themes are well-built. If you are looking for more features, layout options, color options, font options, whitelabeling and more, then you can upgrade to pro.", 'guten-blog'); ?></p>
	<p><?php esc_html_e("The premium version lets you have better control over the theme as it comes with more customization options. Not just that, the theme also has more sections and layout options as compared to the free version. You can find out more about the difference between Free and Pro versions", 'guten-blog'); ?> <a href="https://avidthemes.com/guten-blog-pro/" target="_blank"><?php esc_html_e("here", 'guten-blog'); ?></a>.</p>
	<hr>
	<h3><?php esc_html_e("2. What are the advantages of upgrading to the Premium version?", 'guten-blog'); ?></h3>
	<p><?php esc_html_e("With Premium version, besides the extra features and frequent updates, you get premium support. If you run into any theme issues, you will get a lot quicker response compared to the free support.", 'guten-blog'); ?></p>
	<hr>
	<h3><?php esc_html_e("3. How do I change the copyright text?", 'guten-blog'); ?></h3>
	<p><?php esc_html_e("You can change the copyright text going to", 'guten-blog'); ?> <a href="<?php echo esc_url (admin_url( '/customize.php' ));?>"><?php esc_html_e("Appearance > Customize > Footer Options", 'guten-blog'); ?></a>. <?php esc_html_e("Upgrade to the", 'guten-blog'); ?> <a href="https://avidthemes.com/guten-blog-pro/" target="_blank"><?php esc_html_e("Pro version", 'guten-blog'); ?></a> <?php esc_html_e("to unlock this feature.", 'guten-blog'); ?></p>
	<hr>

	<h2><?php esc_html_e("For more help, read our documentation", 'guten-blog'); ?></h2>
	<a href="https://avidthemes.com/docs/" target="_blank" class="button button-primary"><?php esc_html_e("View Documentation", 'guten-blog'); ?></a>
		

		<div class="guten-blog-panel">
			<div class="guten-blog-panel-content">
				<div class="theme-title">
					<h4><?php esc_html_e( 'If you like the theme, please leave a review or Contact us for technical support.', 'guten-blog' ); ?></h4>
				</div>
				<a href="https://wordpress.org/support/theme/guten-blog/reviews/#new-post" target="_blank" class="button"><?php esc_html_e( 'Rate this theme', 'guten-blog' ); ?></a> <a href="https://avidthemes.com/support/" target="_blank" class="button"><?php esc_html_e( 'Contact Us', 'guten-blog' ); ?></a> 
			</div>
		</div>
	</div>
</div>
	<?php
}
