<?php

/**
 * Guten Blog Pro Theme Info
 *
 * @package Guten Blog
 */
function guten_blog_customizer_theme_info( $wp_customize )
{
    $description = esc_html__( 'Check out step-by-step tutorial to create your website like the demo of Guten Blog WordPress theme.', 'guten-blog' );
    $wp_customize->add_section( 'theme_info', array(
        'title'    => esc_html__( 'Support and Documentation', 'guten-blog' ),
        'priority' => 1,
    ) );
    $wp_customize->add_setting( 'setup_instruction', array(
        'sanitize_callback' => 'sanitize_text_field',
    ) );
    $wp_customize->add_control( new Guten_Blog_Custom_Text( $wp_customize, 'setup_instruction', array(
        'settings'    => 'setup_instruction',
        'section'     => 'theme_info',
        'description' => $description,
    ) ) );
    $wp_customize->add_setting( 'theme_info_theme', array(
        'default'           => '',
        'sanitize_callback' => 'wp_kses_post',
    ) );
    $theme_info = '';
    $theme_info .= '<span class="sticky_info_row wp-clearfix"><label class="row-element">' . esc_html__( 'Theme Details', 'guten-blog' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://avidthemes.com/free-guten-blog-theme/' ) . '" target="_blank">' . esc_html__( 'Click Here', 'guten-blog' ) . '</a></span><hr>';
    $theme_info .= '<span class="sticky_info_row wp-clearfix"><label class="row-element">' . esc_html__( 'How to use', 'guten-blog' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://avidthemes.com/docs' ) . '" target="_blank">' . esc_html__( 'Click Here', 'guten-blog' ) . '</a></span><hr>';
    $theme_info .= '<span class="sticky_info_row wp-clearfix"><label class="row-element">' . esc_html__( 'View Demo', 'guten-blog' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://avidthemes.com/preview/?product_id=gutenblog-pro-1' ) . '" target="_blank">' . esc_html__( 'Click Here', 'guten-blog' ) . '</a></span><hr>';
    $theme_info .= '<span class="sticky_info_row wp-clearfix"><label class="row-element">' . esc_html__( 'Support Forum', 'guten-blog' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://wordpress.org/support/theme/guten-blog' ) . '" target="_blank">' . esc_html__( 'Click Here', 'guten-blog' ) . '</a></span><hr>';
    $theme_info .= '<div class="premium-info"><h2>' . esc_html__( 'Premium Version', 'guten-blog' ) . ': </h2>
	<p>If you are looking for more features, layout options, color options, font options, whitelabeling and more, then you can upgrade to pro.</p>
<ul>
<li><span class="dashicons dashicons-yes"></span> 18 Starter Demo</li>
<li><span class="dashicons dashicons-yes"></span> One Click Demo Import</li>
<li><span class="dashicons dashicons-yes"></span> 600+ Google Fonts</li>
<li><span class="dashicons dashicons-yes"></span> Multiple Color Options</li>
<li><span class="dashicons dashicons-yes"></span> Edit Footer Copyright Info</li>
<li><span class="dashicons dashicons-yes"></span> 5 Header Layout Option</li>
<li><span class="dashicons dashicons-yes"></span> Premium Support</li>
<ul>
<hr>

	<a class="button button-primary" href="' . esc_url( 'https://avidthemes.com/guten-blog-pro/' ) . '" target="_blank">' . esc_html__( 'Upgrade to Pro', 'guten-blog' ) . '</a></div>';
    $theme_info .= '<a target="_blank" class="button button-large" href="' . esc_url( "https://avidthemes.com/" ) . '">' . esc_html__( 'Explore More', 'guten-blog' ) . '</a>';
    $wp_customize->add_control( new Guten_Blog_Custom_Text( $wp_customize, 'theme_info_theme', array(
        'section' => 'theme_info',
        'label'   => $theme_info,
    ) ) );
}

add_action( 'customize_register', 'guten_blog_customizer_theme_info' );