<?php

/**
 * footer Fonts Settings
 *
 * @package guten_blog
 */
add_action( 'customize_register', 'guten_blog_customize_register_footer_options_section' );
function guten_blog_customize_register_footer_options_section( $wp_customize )
{
    $wp_customize->add_section( 'guten_blog_customize_register_footer_options_section', array(
        'title'       => esc_html__( 'Footer Options', 'guten-blog' ),
        'description' => esc_html__( 'Footer widget title Fonts :', 'guten-blog' ),
        'priority'    => 18,
    ) );
    $wp_customize->add_setting( 'footer_font_family', array(
        'transport'         => 'postMessage',
        'default'           => 'Playfair Display',
        'sanitize_callback' => 'guten_blog_sanitize_google_fonts',
    ) );
    $wp_customize->add_control( 'footer_font_family', array(
        'settings' => 'footer_font_family',
        'label'    => esc_html__( 'Choose Font', 'guten-blog' ),
        'section'  => 'guten_blog_customize_register_footer_options_section',
        'type'     => 'select',
        'choices'  => guten_blog_google_fonts(),
    ) );
}
