<?php
function guten_blog_dynamic_css() {
	wp_enqueue_style( 'guten-blog-style', get_stylesheet_uri(), array(), GUTEN_BLOG_VERSION );
        $site_title_size = absint( get_theme_mod( 'site_title_size', 2) );
        $logo_size = absint( $site_title_size * 3 );
        $site_identity_font_family = esc_attr( get_theme_mod( 'site_identity_font_family', 'Playfair Display') );
        $container_width = absint ( get_theme_mod('container_width', 1140) );


        $site_title_color = esc_attr( get_theme_mod( 'site_title_color_option', '#52a5ad' ) );
        
        $primary_color = esc_attr( get_theme_mod( 'primary_color', '#52A5AD' ) );
        $secondary_color = esc_attr( get_theme_mod( 'secondary_color', '#52AD87' ) );
        $text_color = esc_attr( get_theme_mod( 'text_color', '#757575' ) );
        $accent_color = esc_attr( get_theme_mod( 'accent_color', '#5278AD' ) );
        $light_color = esc_attr( get_theme_mod( 'light_color', '#ffffff ' ) );
        $dark_color = esc_attr( get_theme_mod( 'dark_color', '#111111 ' ) );
        $grey_color = esc_attr( get_theme_mod( 'grey_color', '#999999 ' ) );

        $footer_font_family = esc_attr( get_theme_mod( 'footer_font_family', 'Playfair Display' ) );
        $font_family = esc_attr( get_theme_mod( 'font_family', 'Playfair Display' ) );
        $font_size = esc_attr( get_theme_mod( 'font_size', '16px' ) );
        $body_font_weight = esc_attr( get_theme_mod( 'body_font_weight', 400 ) );
        $body_line_height = ( get_theme_mod( 'body_line_height', '1.5') );


        $heading_font_family = esc_attr( get_theme_mod( 'heading_font_family', 'Playfair Display' ) );
        
        
        
        $dynamic_css = "

                :root {
                        --primary-color: $primary_color;
                        --secondary-color: $secondary_color;
                        --text-color: $text_color;
                        --accent-color: $accent_color;
                        --light-color: $light_color;
                        --dark-color: $dark_color;
                        --grey-color: $grey_color;
                }
                
                /* font family */
                body{ font: $body_font_weight"." $font_size"." $font_family; line-height: {$body_line_height};}

                h1,h2,h3,h4,h5,h6{ font: $heading_font_family }
               


                /* site title size */
                .site-title a{color: $site_title_color;}
                .site-title{font-size: $site_title_size"."rem; font-family: {$site_identity_font_family}; }

                header .custom-logo{ width: {$logo_size}"."rem; }

                /* container width */
                .container{max-width: {$container_width}"."px; }


                /* Footer widget font Colors */
                .site-footer .widget-title{font-family: $footer_font_family;}

                
        ";
        wp_add_inline_style( 'guten-blog-style', $dynamic_css );
}
add_action( 'wp_enqueue_scripts', 'guten_blog_dynamic_css' );
